File version-plugins-in-libdir of Package lvm2.openSUSE_Leap_42.1_Update

From: Jeff Mahoney <jeffm@suse.com>
Subject: build: Install links in libdir with versions

Plugins in $(libdir)/device-mapper should probably be versioned but
when they're linked into $(libdir) directly, they must be versioned.

Signed-off-by: Jeff Mahoney <jeffm@suse.com>
---
 make.tmpl.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- a/make.tmpl.in
+++ b/make.tmpl.in
@@ -394,7 +394,7 @@ install_lib_shared: $(LIB_SHARED)
 #        when the code is fixed links could be removed.
 install_dm_plugin: $(LIB_SHARED)
 	$(INSTALL_PROGRAM) -D $< $(libdir)/device-mapper/$(<F)
-	$(LN_S) -f device-mapper/$(<F) $(libdir)/$(<F)
+	$(LN_S) -f device-mapper/$(<F) $(libdir)/$(<F).$(LIB_VERSION)
 
 install_lvm2_plugin: $(LIB_SHARED)
 	$(INSTALL_PROGRAM) -D $< $(libdir)/lvm2/$(<F)